Loading...
Searching...
No Matches
pcl::TSDFVolume< VoxelT, WeightT >::Header Struct Reference

Structure storing voxel grid resolution, volume size (in mm) and element_size of stored data. More...

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/kinfu/tools/tsdf_volume.h>`

## Public Member Functions

| Header ()
| Header (const Eigen::Vector3i &res, const Eigen::Vector3f &size)
std::size_t | getVolumeSize () const

## Public Attributes

Eigen::Vector3i | resolution
Eigen::Vector3f | volume_size
int | volume_element_size
int | weights_element_size

## Friends

std::ostream & | operator<< (std::ostream &os, const Header &h)

## Detailed Description

template<typename VoxelT, typename WeightT>
struct pcl::TSDFVolume< VoxelT, WeightT >::Header

Structure storing voxel grid resolution, volume size (in mm) and element_size of stored data.

Definition at line 69 of file tsdf_volume.h.

## Constructor & Destructor Documentation

## Header() [1/2]

template<typename VoxelT , typename WeightT >

pcl::TSDFVolume< VoxelT, WeightT >::Header::Header | ( |  | ) |

inline

Definition at line 75 of file tsdf_volume.h.

## Header() [2/2]

template<typename VoxelT , typename WeightT >

pcl::TSDFVolume< VoxelT, WeightT >::Header::Header | ( | const Eigen::Vector3i & | res,
|  | const Eigen::Vector3f & | size
| ) |  |

inline

Definition at line 82 of file tsdf_volume.h.

## Member Function Documentation

## getVolumeSize()

template<typename VoxelT , typename WeightT >

std::size_t pcl::TSDFVolume< VoxelT, WeightT >::Header::getVolumeSize | ( |  | ) | const

inline

Definition at line 90 of file tsdf_volume.h.

References pcl::TSDFVolume< VoxelT, WeightT >::Header::resolution.

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::size().

## Friends And Related Symbol Documentation

## operator<<

template<typename VoxelT , typename WeightT >

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Header & | h
| ) |  |

friend

Definition at line 92 of file tsdf_volume.h.

## Member Data Documentation

## resolution

template<typename VoxelT , typename WeightT >

Eigen::Vector3i pcl::TSDFVolume< VoxelT, WeightT >::Header::resolution

Definition at line 71 of file tsdf_volume.h.

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::getLinearVoxelIndex(), pcl::TSDFVolume< VoxelT, WeightT >::getLinearVoxelIndinces(), pcl::TSDFVolume< VoxelT, WeightT >::Header::getVolumeSize(), pcl::TSDFVolume< VoxelT, WeightT >::gridResolution(), and pcl::TSDFVolume< VoxelT, WeightT >::voxelSize().

## volume_element_size

template<typename VoxelT , typename WeightT >

int pcl::TSDFVolume< VoxelT, WeightT >::Header::volume_element_size

Definition at line 73 of file tsdf_volume.h.

## volume_size

template<typename VoxelT , typename WeightT >

Eigen::Vector3f pcl::TSDFVolume< VoxelT, WeightT >::Header::volume_size

Definition at line 72 of file tsdf_volume.h.

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::volumeSize(), and pcl::TSDFVolume< VoxelT, WeightT >::voxelSize().

## weights_element_size

template<typename VoxelT , typename WeightT >

int pcl::TSDFVolume< VoxelT, WeightT >::Header::weights_element_size

Definition at line 73 of file tsdf_volume.h.

The documentation for this struct was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/kinfu/tools/tsdf_volume.h